    import InstallerLogger from 'mongoose-data-seed/src/lib/commands/init/installer-logger.js'

public class | source

# InstallerLogger

#### Extends:

BaseLogger → InstallerLogger

Installer Logger

## Method Summary

Public Methods
public | error(error: Object) Log error |
public | next(notification: Object) Log next notification |

## Inherited Summary

From class BaseLogger
public | asObserver(): Object Get the logger as observer |

## Public Methods

### public error(error: Object) source

Log error

#### Params:

Name | Type | Attribute | Description
error | Object |  | error to log
error.type | string |  | error type
error.payload | Object |  | error payload

### public next(notification: Object) source

Log next notification

#### Params:

Name | Type | Attribute | Description
notification | Object |  | notification to log
notification.type | string |  | operation type
notification.payload | Object |  | operation payload